Jump to content

z references


gav
 Share

Recommended Posts

hey,

just recieved some sections from are structural engineers, they look fine in 2d but the z references for individual points are all over the show.

do you know of any way we can flatten the image so that the entire dwg has the same z reference?

any help would be cool

thanks

gav

 

p.s an under paid and under appreciated achitectural technologist seeks work!

Link to comment
Share on other sites

Hi Gav,

 

This is a lisp routine I did for the same reason, it was for AEC which used to have different Z values for different levels. It should work for basic elements, lines arcs, etc but no guarantees. Give it a go. Just copy the following text into notepad and save as a .lsp file. Run using APLOAD, and "zero" is the command name. WHen it asks for level of selected entities just reply 0.

 

Richard

 

 

 

 

(defun c:zero()

(setq c (ssget))

 

(setq lev (getint "\nEnter Level of Selected Entities: "))

 

(setq levcount 0)

(setq levdim 0)

(repeat 11

(if (= lev levcount) (setq my levdim))

(setq levcount (1+ levcount))

(setq levdim (+ levdim 2600))

)

 

(setq d (sslength c))

(setq no 0)

(while (

(zero)

;(setq perc (* (/ no d) 100))

;(princ perc)

(setq no (1+ no))

)

(princ)

)

 

(defun zero()

(setq ent (ssname c no))

(setq e (entget ent))

(setq ct 10)

(setq upper 12)

(if (= (cdr (assoc 0 e)) "DIMENSION") (setq upper 17))

(if (= (cdr (assoc 0 e)) "3DFACE") (setq upper 14))

(while (

(setq x (assoc ct e))

(setq x1 (list ct (cadr x) (caddr x) my))

(setq e1 (subst x1 x e))

(entmod e1)

(setq e e1)

(setq ct (1+ ct))

)

)

Link to comment
Share on other sites

  • 2 weeks later...

cheers guys

on the same note- jokes about engineers!

 

Two engineering students were walking across campus when one said,

"Where did you get such a great bike?" The second engineer replied,

"Well, I was walking along yesterday minding my own business when a

beautiful woman rode up on this bike. She threw the bike to the

ground, took off all her clothes and said, "Take what you want." "The

second engineer nodded approvingly, 'Good choice; the clothes probably

wouldn't have fit."

 

To the optimist, the glass is half full.

To the pessimist, the glass is half empty.

To the engineer, the glass is twice as big as it needs to be.

 

"Normal people...believe that if it ain't broke, don't fix it.

Engineers believe that if it ain't broke, it doesn't have enough

features yet."

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...